#ifndef PIMBARX_H_SEEN
#define PIMBARX_H_SEEN

#include "pimenubargen.h"

struct _pimbxit_ 
{
SysDWdg itb;
PIMenu *pdm;
};

class PIMenubarX : public PIMenubarGen {
 public:
	            PIMenubarX(PIApplicationGen* par, const char* nom);
	            ~PIMenubarX();

  virtual void	    AppendMenu(PIMenu *pdm);
  virtual void      RemoveMenu(PIMenu *pdm);
  virtual void      SetSensitivity(PIMenu *pdm, bool sens=true);
  virtual bool      IsSensitive(PIMenu *pdm);

 protected:

int mNItem, mNItemMax;
_pimbxit_ *mMbb;
};


typedef PIMenubarX     PIMenubar;


#endif
